Bug 870359 - rhc cartridge command can run correctly when using wrong options of "-dddddd"
rhc cartridge command can run correctly when using wrong options of "-dddddd"
Status: CLOSED NOTABUG
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Hiro Asari
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-26 04:52 EDT by Yujie Zhang
Modified: 2015-05-14 22:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 12:21:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yujie Zhang 2012-10-26 04:52:05 EDT
Description of problem:
When I use "rhc cartridge add -a phpapp3 -l yujzhang -c postgresql -dasdfasdf", it can run correctly when using wrong option "-dddddd"

Version-Release number of selected component (if applicable):

rhc-0.99.12
Fedora17

How reproducible:always


Steps to Reproduce:
1.rhc cartridge add -a phpapp3 -l yujzhang -c postgresql -dddddd
2.Check the result
3.
  
Actual results:

The cartridge will be added successfully with debug info output.

Expected results:

There should be error message when using wrong option "-dddddd"

Additional info:
Comment 1 Hiro Asari 2012-11-14 12:21:19 EST
Argument processing is working correctly here. '-ddddd' is compressed to '-d'. To pass a longer flag, you will need two dashes, like so:

rhc cartridge add -a phpapp3 -l yujzhang -c postgresql --dddddd

And this is processed correctly as well.

Note You need to log in before you can comment on or make changes to this bug.